javax.batch.api.listener

## Class AbstractJobListener

- java.lang.Object
- - javax.batch.api.listener.AbstractJobListener

All Implemented Interfaces:
  JobListener

    public abstract class AbstractJobListener
    extends Object
    implements JobListener

The AbstractJobListener provides default implementations of less commonly implemented methods.

### Constructor Summary

Constructors
Constructor and Description
`AbstractJobListener()`

### Method Summary

Methods
`void` `afterJob()` Override this method if the JobListener will do something after the job ends.
`void` `beforeJob()` Override this method if the JobListener will do something before the job begins.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractJobListener

    public AbstractJobListener()

### Method Detail

#### beforeJob

    public void beforeJob()
                   throws Exception

Override this method if the JobListener will do something before the job begins. The default implementation does nothing.

Specified by:
  `beforeJob` in interface `JobListener`
Throws:
  `Exception` - (or subclass) if an error occurs.

#### afterJob

    public void afterJob()
                  throws Exception

Override this method if the JobListener will do something after the job ends. The default implementation does nothing.

Specified by:
  `afterJob` in interface `JobListener`
Throws:
  `Exception` - (or subclass) if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0